# reloadonhup

Reinitializes libcurl handles on `HUP` signals so certificates can be refreshed without restarting rsyslog.

This parameter applies to omhttp: HTTP Output Module.

Name:

  reloadonhup

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  Not specified

## Description

If this parameter is `on`, the plugin will close and reopen any libcurl handles on a HUP signal. This option is primarily intended to enable reloading short-lived certificates without restarting rsyslog.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        reloadOnHup="on"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.